Skip to main content
POST
/
organizations
/
{organization_id}
/
payrolls
/
pay-groups
Create Pay Group
curl --request POST \
  --url https://preview.intermezzo.ai/organizations/{organization_id}/payrolls/pay-groups \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "name": "<string>",
  "periodType": "WEEK"
}
'
{
  "name": "<string>",
  "periodType": "WEEK",
  "id": "<string>",
  "payrollMode": "positive_pay"
}

Documentation Index

Fetch the complete documentation index at: https://docs.intermezzo.ai/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Get token from Auth0 and paste it here

Path Parameters

organization_id
required

Body

application/json
name
string
required
periodType
enum<string>
required
Available options:
WEEK,
MONTH
payrollMode
enum<string>
default:positive_pay
Available options:
positive_pay,
net_change

Response

Successful Response

name
string
required
periodType
enum<string>
required
Available options:
WEEK,
MONTH
id
string
required
payrollMode
enum<string>
default:positive_pay
Available options:
positive_pay,
net_change